Last Comment Bug 370004 - Overriding the default attribute map on a per-LDAP directory basis won't work.
: Overriding the default attribute map on a per-LDAP directory basis won't work.
Status: RESOLVED FIXED
: fixed-seamonkey1.1.1, fixed1.8.1.2
Product: MailNews Core
Classification: Components
Component: LDAP Integration (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Mark Banner (:standard8)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-10 13:50 PST by Mark Banner (:standard8)
Modified: 2008-07-31 04:30 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
The fix (1.93 KB, patch)
2007-02-10 13:50 PST, Mark Banner (:standard8)
mozilla: review+
mozilla: superreview+
mscott: approval‑thunderbird2+
Details | Diff | Splinter Review

Description Mark Banner (:standard8) 2007-02-10 13:50:25 PST
Created attachment 254678 [details] [diff] [review]
The fix

If I have a LDAP server ldap_2.servers.foo and I define ldap_2.servers.foo.attrmap.Custom4 to only override the attribute for that server,  it doesn't override the ldap_2.servers.default.attrmap.Custom4 value.

Basically, we're passing the wrong pref name to get the full attribute map - we're passing ldap_2.servers.foo.maxHits instead of ldap_2.servers.foo. This isn't a regression - it seems to have been wrong from the time when we got the attribute map code.

The attached patch changes the call to use m_DirPrefId which is the proper thing to use (in theory the code that gets maxHits could be simplified as well, but I'll address that in a separate bug).
Comment 1 David :Bienvenu 2007-02-10 13:57:12 PST
Comment on attachment 254678 [details] [diff] [review]
The fix

thx, Mark!
Comment 2 Mark Banner (:standard8) 2007-02-11 05:06:16 PST
Comment on attachment 254678 [details] [diff] [review]
The fix

Patch checked into trunk. Requesting approval for 1.8 branch.
Comment 3 Mark Banner (:standard8) 2007-02-11 05:06:48 PST
Fixed on trunk.
Comment 4 Mark Banner (:standard8) 2007-02-15 11:08:51 PST
Checked into 1.8 branch.

Note You need to log in before you can comment on or make changes to this bug.